org.apache.xmlbeans.impl.values

## Class JavaNotationHolderEx

- java.lang.Object
- - org.apache.xmlbeans.impl.values.XmlObjectBase
  - - org.apache.xmlbeans.impl.values.JavaQNameHolder
    - - org.apache.xmlbeans.impl.values.XmlQNameImpl
      - - org.apache.xmlbeans.impl.values.JavaNotationHolder
        - - org.apache.xmlbeans.impl.values.JavaNotationHolderEx

- All Implemented Interfaces:
    Serializable, TypeStoreUser, SimpleValue, XmlAnySimpleType, XmlObject, XmlQName, XmlTokenSource
  Direct Known Subclasses:
    XmlNotationRestriction

      public abstract class JavaNotationHolderEx
      extends JavaNotationHolder

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.apache.xmlbeans.impl.values.XmlObjectBase

      `_voorVc, KIND_SETTERHELPER_ARRAYITEM, KIND_SETTERHELPER_SINGLETON, MAJOR_VERSION_NUMBER, MINOR_VERSION_NUMBER`

    - ### Fields inherited from interface org.apache.xmlbeans.XmlQName

      `Factory, type`

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JavaNotationHolderEx(SchemaType type, boolean complex)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected int` | `get_wscanon_rule()` Returns the whitespace rule that will be applied before building a string to pass to get_text().
    `SchemaType` | `schemaType()`
    `protected void` | `set_notation(String v)`
    `protected void` | `set_text(String s)` This should set the value of the type from text, or throw an XmlValueOutOfRangeException if it can't.
    `protected void` | `set_xmlanysimple(XmlAnySimpleType value)`
    `static QName` | `validateLexical(String v, SchemaType sType, ValidationContext context, PrefixResolver resolver)`
    `static void` | `validateValue(QName v, SchemaType sType, ValidationContext context)`

    - ### Methods inherited from class org.apache.xmlbeans.impl.values.JavaQNameHolder

      `compute_text, equal_to, getQNameValue, set_nil, set_QName, validateLexical, value_hash_code`

    - ### Methods inherited from class org.apache.xmlbeans.impl.values.XmlObjectBase

      `_copy, _copy, _isComplexContent, _isComplexType, _set, _validateOnSet, attach_store, build_nil, build_text, changeType, check_dated, check_orphaned, compare_to, compareTo, compareValue, copy, copy, create_attribute_user, create_element_user, disconnect_store, documentProperties, dump, elementFlags, equals, execQuery, execQuery, generatedSetterHelperImpl, get_attribute_field, get_attribute_type, get_attributeflags, get_default_attribute_text, get_default_attribute_value, get_default_element_text, get_element_ending_delimiters, get_element_type, get_elementflags, get_schema_type, get_store, get_wscanon_text, getBigDecimalValue, getBigIntegerValue, getBooleanArray, getBooleanArray, getBooleanValue, getByteArray, getByteArray, getByteArrayValue, getByteValue, getCalendarValue, getDateValue, getDomNode, getDoubleArray, getDoubleArray, getDoubleValue, getEnumArray, getEnumArray, getEnumValue, getFloatArray, getFloatArray, getFloatValue, getGDateValue, getGDurationValue, getIntArray, getIntArray, getIntValue, getListValue, getLongArray, getLongArray, getLongValue, getObjectArray, getObjectArray, getObjectValue, getShortArray, getShortArray, getShortValue, getStringValue, getXmlLocale, getXmlObjectArray, getXmlObjectArray, has_store, hashCode, init_flags, initComplexType, instanceType, invalidate_element_order, invalidate_nilvalue, invalidate_value, is_child_element_order_sensitive, is_defaultable_ws, is_orphaned, isDefault, isDefaultable, isFixed, isImmutable, isInstanceOf, isNil, isNillable, java_value, monitor, new_visitor, newCursor, newCursorForce, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set_b64, set_BigDecimal, set_BigInteger, set_boolean, set_byte, set_ByteArray, set_Calendar, set_char, set_ComplexXml, set_Date, set_double, set_enum, set_float, set_GDate, set_GDuration, set_hex, set_int, set_list, set_long, set_newValue, set_short, set_String, set, setBigDecimalValue, setBigIntegerValue, setBooleanValue, setByteArrayValue, setByteValue, setCalendarValue, setDateValue, setDoubleValue, setEnumValue, setFloatValue, setGDateValue, setGDateValue, setGDurationValue, setGDurationValue, setImmutable, setIntValue, setListValue, setLongValue, setNil, setObjectValue, setQNameValue, setShortValue, setStringValue, setValidateOnSet, substitute, toString, update_from_complex_content, uses_invalidate_value, validate_now, validate_simpleval, validate, validate, valueEquals, valueHashCode, writeReplace, xgetArray, xgetArray, xgetListValue, xmlText, xmlText`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlQName

      `getQNameValue, setQNameValue`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlAnySimpleType

      `getStringValue, setStringValue`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Constructor Detail

    - #### JavaNotationHolderEx

          public JavaNotationHolderEx(SchemaType type,
                                      boolean complex)

  - ### Method Detail

    - #### schemaType

          public SchemaType schemaType()

      Specified by:
        `schemaType` in interface `XmlObject`
      Overrides:
        `schemaType` in class `JavaNotationHolder`
      Returns:
        The schema type for this instance. This is a permanent, unchanging property of the instance.

    - #### get_wscanon_rule

          protected int get_wscanon_rule()

      Description copied from class: `XmlObjectBase`
      Returns the whitespace rule that will be applied before building a string to pass to get_text().

      Overridden by subclasses that don't need their text for set_text canonicalized; perhaps they already implement scanners that can deal with whitespace, and they know they have no regex pattern restrictions.

      Overrides:
        `get_wscanon_rule` in class `JavaQNameHolder`

    - #### set_text

          protected void set_text(String s)

      Description copied from class: `XmlObjectBase`
      This should set the value of the type from text, or throw an XmlValueOutOfRangeException if it can't.
      Overrides:
        `set_text` in class `JavaQNameHolder`

    - #### set_notation

          protected void set_notation(String v)

      Overrides:
        `set_notation` in class `XmlObjectBase`

    - #### set_xmlanysimple

          protected void set_xmlanysimple(XmlAnySimpleType value)

      Overrides:
        `set_xmlanysimple` in class `JavaQNameHolder`

    - #### validateLexical

          public static QName validateLexical(String v,
                                              SchemaType sType,
                                              ValidationContext context,
                                              PrefixResolver resolver)

    - #### validateValue

          public static void validateValue(QName v,
                                           SchemaType sType,
                                           ValidationContext context)